--[[
************************************************************************
AltsMains
$Date: 2008-10-20 02:23:58 +0000 (Mon, 20 Oct 2008) $
$Revision: 894 $
Author: Zhinjio of Hellscream
************************************************************************
File		: AltsMains.lua

Description	:
	Probably the only file for this addon. 

TODO		:
	So far, everything. 

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local AltsMains = LibStub( "AceAddon-3.0"):GetAddon( "AltsMains" )
local L = LibStub( "AceLocale-3.0"):GetLocale( "AltsMains" )
local Libalts = LibStub( "LibAlts-1.0" )

local db

-- on init
function AltsMains:OnInitialize()
    -- Called when the addon is loaded
    self.db = LibStub("AceDB-3.0"):New("AltsMainsDB")
	db = self.db.realm

	-- Loop on SV values, and send them to libalts
	for k,v in pairs( db.Mains ) do
		for i, a in pairs( v ) do
			Libalts:SetAlt( k, a )
		end
	end

	-- Once we're done with that, we can register for the libalt events...
	AltsMains:RegisterEvent( "LibAltsSetEvent", "MyEventHandler" )
end

function AltsMains:OnEnable()
    -- Called when the addon is enabled
end

function AltsMains:OnDisable()
    -- Called when the addon is disabled
end

-- Register our chat command, and set its function
AltsMains:RegisterChatCommand( "altsmains", "OnSlashCommand")

-- This event is fired whenever libalts sets something. When that happens,
-- presumably, I have some data in my db to update (and on exit, save)
function AltsMains:MyEventHandler( main )
	-- do stuff here
end

-- And now do the dirty work
function AltsMains:OnSlashCommand( text )
	-- do chat command stuff
end

--[[
************************************************************************
CHANGELOG:

Date : 10/21/08
	Initial file. 
************************************************************************
]]--